Як оновити Chrome на Ubuntu, Debian та похідних

Минулої п’ятниці я натрапив на неприємний сюрприз, коли під час оновлення Google Chrome система оновлення сказала мені, що їй потрібно 32-розрядне сховище, це вже було оголошено з грудня минулого року. Однак цей захід набув чинності у вівторок, 3 березня, що повністю видалило сховище для 32-розрядної версії Google Chrome.

Ви, мабуть, отримали таке повідомлення:

W: Fallo al obtener http://dl.google.com/linux/chrome/deb/dists/stable/Release No se pudo encontrar la entrada esperada «main/binary-i386/Packages» en el archivo «Release» (entrada incorrecta en «sources.list» o fichero mal formado)

Тепер тим, хто використовує 64-розрядні версії Ubuntu (саме від Trusty) та Debian Jessie, слід запустити такий командний рядок (якщо у вас не налаштовано SUDO, я пропоную запустити його під ROOT):

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

Однак для тих людей, які все ще використовують Ubuntu 12.04 (Precise Pangolin) та Debian 7 (Wheezy), незалежно від того, чи використовують вони 32-розрядну та 64-розрядну версії, підтримка Google Chrome була повністю припинена, тому єдина можливість Залишається просто видалити браузер і використовувати не більше і не менше, ніж версію Chromium, яка знаходиться у зазначених сховищах, використовувати інший браузер або просто оновити відповідний дистрибутив, на додаток до видалення сховища Google Chrome.

sudo rm /etc/apt/sources.list.d/google-chrome.list
sudo apt-get remove google-chrome

Однак для тих користувачів, які все ще використовують 32-розрядну версію Google Chrome, вихідний код все ще доступний для компіляції та запуску на їх дистрибутиві, а також для завантаження з репозиторію дистрибутива, в якому вони повинні робота. Сюди також входять 32-розрядні збірки ОС Google Chrome та Google Chrome для ARM, крім похідних Chroium, таких як Opera.


Зміст статті відповідає нашим принципам редакційна етика. Щоб повідомити про помилку, натисніть тут.

14 коментарі, залиште свій

Залиште свій коментар

Ваша електронна адреса не буде опублікований. Обов'язкові для заповнення поля позначені *

*

*

  1. Відповідальний за дані: Мігель Анхель Гатон
  2. Призначення даних: Контроль спаму, управління коментарями.
  3. Легітимація: Ваша згода
  4. Передача даних: Дані не передаватимуться третім особам, за винятком юридичних зобов’язань.
  5. Зберігання даних: База даних, розміщена в мережі Occentus Networks (ЄС)
  6. Права: Ви можете будь-коли обмежити, відновити та видалити свою інформацію.

  1.   Лань Менгано - сказав він

    "Однак для тих з вас, хто продовжує користуватися Ubuntu 12.04 (Precise Pangolin) і Debian 7 (Wheezy), незалежно від того, чи використовують вони 32-розрядну та 64-розрядну версії, підтримка Google Chrome повністю припинена"

    Я не знаю Ubuntu. На Debian 7 64 біт si Ви можете продовжувати використовувати репо Google, щоб отримувати найновіші версії.

    1.    eliotime3000 - сказав він

      Помилка.

      Я забув, що це попередження стосувалось 32-розрядної версії Ubuntu Precise та Debian Wheezy.

    2.    Yomi - сказав він

      Ну, у мене встановлено 64 біти Debian Wheezy, і я отримую повідомлення про те, що Chrome більше не отримуватиме оновлень. Встановлена ​​версія - 49.0.2623.87 (і, мабуть, вона остання).

  2.   Uber Флорес - сказав він

    Грекіас

    Я працюю на Ubuntu 15.10 - 64 біт

  3.   eneas_e - сказав він

    Дякую! Він чудово працював на Xubuntu 14.04 з 64.

  4.   Хосе Акоста - сказав він

    Дякую!! працював у мене на ubuntu 14.04LTS з 64

  5.   Хосе Акоста - сказав він

    Дякую!! це працювало для мене на ubuntu 14.04LTS

  6.   Тобіас - сказав він

    Мені все одно, мені не потрібна Google, щоб зберегти свій браузер, я використовую Firefox та Chomium на 14.04-бітних Lubuntu 64, які не містять шпигунського програмного забезпечення ...

    1.    Плитка - сказав він

      Не настільки безкоштовно, але я погоджуюсь, нехай роблять те, що хочуть, варіантів все-таки більше.

  7.   Хаві - сказав він

    Щиро дякую, я шукав рішення і не міг його знайти, коли я перестав його шукати ... Я знайшов його випадково в блозі, який я завжди читав ... цей! Дякую.

  8.   Насара - сказав він

    Велике спасибі, тріщини!
    Виправлена ​​проблема в Ubuntu Mate 15.10 x64

  9.   Ісус - сказав він

    Щиро дякую, виправлено на Ubuntu 14.04 x64

  10.   Едгар - сказав він

    немає згадки про Ubuntu 16?

  11.   Едгар - сказав він

    Це результат тесту Phoronix.
    Я розумію, що використовую 64-розрядне оновлення Ubuntu, але якщо я правильно пам’ятаю, мені встановили 14-розрядний Ubuntu 32.
    Як ви підозрюєте, вони ДУЖЕ початківці.
    Чи може бути встановлено неправильне оновлення?
    Грекіас